Folks.Utils.set_string_afd_equal – folks Reference Manual

# set_string_afd_equal

## Description:

public static bool set_string_afd_equal (Set<AbstractFieldDetails<string>> a, Set<AbstractFieldDetails<string>> b)

Check whether a set of AbstractFieldDetails with string values are equal.

This performs a deep check for equality, checking whether both sets are of the same size, and that each set has the same values using string compaction instead of AbstractFieldDetails equal function

## Parameters:

a | a set to compare
b | another set to compare

## Returns:

`true` if the sets are equal, `false` otherwise

## Since:

0.9.7